Index: build_tools/pylint.rc
===================================================================
--- build_tools/pylint.rc	(revision e3f77d8b34c4c57adc9d718e8b1ace18d3a4b793)
+++ build_tools/pylint.rc	(revision 3c3a440abe3cdea4d16690492b0d8b0756b1c4a0)
@@ -64,5 +64,5 @@
 
 # Include message's id in output
-include-ids=no
+include-ids=yes
 
 # Put messages in a separate file for each module / package specified on the
@@ -140,5 +140,5 @@
 
 # Good variable names which should always be accepted, separated by a comma
-good-names=i,j,k,ex,Run,_
+good-names=i,j,k,ex,Run,_,x,y,z,qx,qy,qz,n,q,dx,dy,dz
 
 # Bad variable names which should always be refused, separated by a comma
@@ -260,5 +260,5 @@
 
 # Minimum number of public methods for a class (see R0903).
-min-public-methods=2
+min-public-methods=0
 
 # Maximum number of public methods for a class (see R0904).
@@ -294,4 +294,5 @@
 indent-string='    '
 
+no-space-check=trailing-comma,dict-separator
 
 # checks for similarities and duplicated code. This computation may be
Index: src/sas/dataloader/manipulations.py
===================================================================
--- src/sas/dataloader/manipulations.py	(revision c8a6c3d78b7ed5b201bc5b817ef341dcde1f8e74)
+++ src/sas/dataloader/manipulations.py	(revision 3c3a440abe3cdea4d16690492b0d8b0756b1c4a0)
@@ -206,5 +206,6 @@
 
             #TODO: find better definition of x[i_q] based on q_data
-            x[i_q] += frac * q_value  # min_value + (i_q + 1) * self.bin_width / 2.0
+            # min_value + (i_q + 1) * self.bin_width / 2.0
+            x[i_q] += frac * q_value
             y[i_q] += frac * data[npts]
 
@@ -573,7 +574,7 @@
         Apply the ring to the data set.
         Returns the angular distribution for a given q range
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: Data1D object
         """
@@ -596,5 +597,6 @@
         phi_err = numpy.zeros(self.nbins_phi)
 
-        # Shift to apply to calculated phi values in order to center first bin at zero
+        # Shift to apply to calculated phi values in order
+        # to center first bin at zero
         phi_shift = Pi / self.nbins_phi
 
@@ -612,6 +614,7 @@
             if frac == 0:
                 continue
-            # binning           
-            i_phi = int(math.floor((self.nbins_phi) * (phi_value + phi_shift) / (2 * Pi)))
+            # binning
+            i_phi = int(math.floor((self.nbins_phi) * \
+                                   (phi_value + phi_shift) / (2 * Pi)))
 
             # Take care of the edge case at phi = 2pi.
@@ -649,5 +652,5 @@
     the four corners (q_00, q_01, q_10, q_11) that
     has q < qmax.::
-    
+
                 q_01                q_11
         y=1         +--------------+
@@ -657,7 +660,7 @@
         y=0         +--------------+
                 q_00                q_10
-        
+
                     x=0            x=1
-    
+
     """
     # y side for x = minx
@@ -714,6 +717,5 @@
     The values returned is the fraction ON THE SIDE
     OF THE LOWEST Q. ::
-    
-    
+
             A           B
         +-----------+--------+    <--- pixel size
@@ -723,16 +725,16 @@
         if Q_1 < Q_0, B is returned
         if Q is outside the range of [Q_0, Q_1], None is returned
-         
+
     """
     if q_1 > q_0:
-        if (q > q_0 and q <= q_1):
+        if q > q_0 and q <= q_1:
             return (q - q_0) / (q_1 - q_0)
     else:
-        if (q > q_1 and q <= q_0):
+        if q > q_1 and q <= q_0:
             return (q - q_1) / (q_0 - q_1)
     return None
 
 
-class _Sector:
+class _Sector(object):
     """
     Defines a sector region on a 2D data set.
@@ -742,5 +744,5 @@
     and left lines wrt central line
     and phi_max could be less than phi_min.
-   
+
     Phi is defined between 0 and 2*pi in anti-clockwise
     starting from the x- axis on the left-hand side
@@ -756,8 +758,8 @@
         """
         Perform sector averaging.
-        
+
         :param data2D: Data2D object
         :param run:  define the varying parameter ('phi' , 'q' , or 'q2')
-        
+
         :return: Data1D object
         """
@@ -940,5 +942,5 @@
     Sector average as a function of phi.
     I(phi) is return and the data is averaged over Q.
-    
+
     A sector is defined by r_min, r_max, phi_min, phi_max.
     The number of bin in phi also has to be defined.
@@ -947,5 +949,5 @@
         """
         Perform sector average and return I(phi).
-        
+
         :param data2D: Data2D object
         :return: Data1D object
@@ -958,5 +960,5 @@
     Sector average as a function of Q for both symatric wings.
     I(Q) is return and the data is averaged over phi.
-    
+
     A sector is defined by r_min, r_max, phi_min, phi_max.
     r_min, r_max, phi_min, phi_max >0.
@@ -966,7 +968,7 @@
         """
         Perform sector average and return I(Q).
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: Data1D object
         """
@@ -979,7 +981,7 @@
     The ring is defined by r_min, r_max, and
     the position of the center of the ring.
-    
+
     The data returned is the region inside the ring
-    
+
     Phi_min and phi_max should be defined between 0 and 2*pi
     in anti-clockwise starting from the x- axis on the left-hand side
@@ -999,7 +1001,7 @@
         Apply the ring to the data set.
         Returns the angular distribution for a given q range
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: index array in the range
         """
@@ -1014,6 +1016,5 @@
         # check whether or not the data point is inside ROI
         out = (self.r_min <= q_data) & (self.r_max >= q_data)
-
-        return (out)
+        return out
 
 
@@ -1035,5 +1036,5 @@
         """
        Find a rectangular 2D region of interest.
-         
+
        :param data2D: Data2D object
        :return: mask, 1d array (len = len(data))
@@ -1047,7 +1048,7 @@
         """
         Find a rectangular 2D region of interest.
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: out, 1d array (length = len(data))
            with Trues where the data points are inside ROI, otherwise Falses
@@ -1063,5 +1064,5 @@
         outy = (self.y_min <= qy_data) & (self.y_max > qy_data)
 
-        return (outx & outy)
+        return outx & outy
 
 
@@ -1072,5 +1073,5 @@
     where phi_min and phi_max are defined by the right
     and left lines wrt central line.
-   
+
     Phi_min and phi_max are given in units of radian
     and (phi_max-phi_min) should not be larger than pi
@@ -1083,9 +1084,9 @@
         """
         Find a rectangular 2D region of interest.
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: mask, 1d array (len = len(data))
-        
+
         with Trues where the data points are inside ROI, otherwise False
         """
@@ -1097,9 +1098,9 @@
         """
         Find a rectangular 2D region of interest.
-        
-        :param data2D: Data2D object
-        
+
+        :param data2D: Data2D object
+
         :return: out, 1d array (length = len(data))
-        
+
         with Trues where the data points are inside ROI, otherwise Falses
         """
@@ -1107,5 +1108,5 @@
             raise RuntimeError, "Sectorcut take only plottable_2D objects"
         Pi = math.pi
-        # Get data 
+        # Get data
         qx_data = data2D.qx_data
         qy_data = data2D.qy_data
